//
//  IDBLUERFIDUtilityApplicationAppDelegate.m
//  IDBLUERFIDUtilityApplication
//
//  Created by Jerome Terry on 11-04-13.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "IDBLUERFIDUtilityApplicationAppDelegate.h"
#import "IDBLUERFIDUtilityApplicationViewController.h"
#import "IDBlueSdk.h"

@implementation IDBLUERFIDUtilityApplicationAppDelegate

@synthesize window;
@synthesize viewController;


#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
    
    // Override point for customization after app launch. 
    [self.window addSubview:viewController.view];
    [self.window makeKeyAndVisible];
	
	[self addSessionHandler:[self viewController]];
	[self addResponseHandler:[self viewController]];

	return YES;
}


- (void)applicationWillResignActive:(UIApplication *)application {
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
	
	if ([self isSessionOpen]) {
		[self closeIDBlueSession];
	}
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
	if ([self isSessionOpen] == FALSE) {
		[self openIDBlueSession];
	}
}


- (void)applicationWillTerminate:(UIApplication *)application {
    /*
     Called when the application is about to terminate.
     See also applicationDidEnterBackground:.
     */
	if ([self isSessionOpen]) {
		[self closeIDBlueSession];
	}
}


#pragma mark -
#pragma mark Memory management

- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
    /*
     Free up as much memory as possible by purging cached data objects that can be recreated (or reloaded from disk) later.
     */
}


- (void)dealloc {
	[self removeResponseHandler:viewController];
	[self removeSessionHandler:viewController];
	
}


@end
