//
//  IDBLUERFIDUtilityApplicationViewController.m
//  IDBLUERFIDUtilityApplication
//
//  Created by Jerome Terry on 11-04-13.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "IDBLUERFIDUtilityApplicationViewController.h"
#import "IDBLUERFIDUtilityApplicationAppDelegate.h"

@implementation IDBLUERFIDUtilityApplicationViewController

@synthesize messageLabel, rfidTagTextBox, clearTagIdButton;

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	[[self messageLabel] setText:@"Welcome"];
	
	IDBLUERFIDUtilityApplicationAppDelegate* app =
		(IDBLUERFIDUtilityApplicationAppDelegate*)[[UIApplication sharedApplication] delegate];
	
	if ([app isSessionOpen]) {
		[[self messageLabel] setText:@"IDBLUE Session Open"];
	}
	else {
		[[self messageLabel] setText:@"No IDBLUE Session"];
	}
}


// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return NO;
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}



- (IBAction)clearTagIdButtonClick:(id)sender {
	[[self rfidTagTextBox] setText:@""];
}

// IDBlueSessionDelegate Methods
-(void) onSessionOpened: (id) session {
	[[self messageLabel] setText:@"IDBLUE Session Open"];
}

-(void) onSessionClosed: (id) session {
	[[self messageLabel] setText:@"No IDBLUE Session"];
}

-(void) onSessionOpening: (id) session {
	[[self messageLabel] setText:@"Starting IDBLUE Session..."];
}

-(void) onSessionOpenFailed: (id) session {
	[[self messageLabel] setText:@"Start Session Failed!"];
}

-(void) onSessionClosing: (id) session {
	[[self messageLabel] setText:@"Closing IDBLUE Session..."];
}

-(void) onSessionCloseFailed: (id) session {
	[[self messageLabel] setText:@"Close Session Failed!"];
}

-(void) onSessionLost: (id) session {
}

-(void) onSessionRestored: (id) session {
}

-(void) onIDBlueDeviceAdded: (id) device {
}

-(void) onIDBlueDeviceRemoved: (id) device {
}

// End IDBlueSessionDelegate Methods

// IDBlueReceiverDelegate Methods


-(void) readTagIdResponse: (IDBlueCommand*) command withResponse: (ReadTagIdResponse*) response {
    if (!response) {
        return;
    }
    
    RfidTag* tag = [response rfidTag];
    if (!tag) {
        return;
    }
    
    NSString* tagId = [tag toString];
    [[self rfidTagTextBox] setText:tagId];
}

-(void) readTagIdFailed: (IDBlueCommand*) command withResponse: (NackResponse*) response {
    [[self rfidTagTextBox] setText:@""];
}

// End IDBlueReceiverDelegate Methods

@end
